Version 0.5-0: initial version in package form

Version 0.6-0

    o Rather than being hard-wired, menus are now configured in the menus/Rcmdr-menus.txt file and can be modified or supplemented by the user (suggested by Frank Harrell).

    o Allow font-size selection via options("Rcmdr.fontsize") for text in the log window.

    o Set pager to tkpager (suggested by Martin Maechler).

    o Added "Exit" menu items; intercept R Commander window close (suggested by Martin Maechler).

    o Cleaned up menus and dialog boxes.

    o Added ability to load log files.

    o Reorganized items on File and Data menus (suggested by Martin Maechler).

    o Added point-identification to scatterplots (suggested by Bob Andersen).

Version 0.7-0

    o Added subset expressions to model dialog boxes and some other dialogs calling functions using formulas.

    o Added jitter option to scatterplots.

    o Many new input-error checks.

    o Added delete-variable dialog.

    o Added provision for optionally invoking tkwait while the Commander runs.

    o Added help menu.

Version 0.7-1

    o Help buttons fixed so that they don't hang tkpager when it's used to display help files; tkpager only used now on non-Windows systems.

Version 0.8-0

    o More error checking.

    o Don't allow a non-data-frame to become the active data set.

    o Added "Convert numeric variable to factor" menu item and dialog (suggested by Bob Andersen and Peter Dalgaard).

    o Added "Reorder factor levels" menu item and dialog (suggested by Bob Andersen).

    o Reorganized Data menu, adding "Manage variables" sub-menu.

    o New version of "Read data set from an attached package" dialog (suggested by several people).

    o Added "influence plots" to the Model menu (suggested by Bob Andersen).

Version 0.8-1

    o Added "add observation statistics" to Model menu.

Version 0.8-2

    o Further error checks.

    o Added variance-inflation factors to Model menu.

    o Added Statistics -> Dimensional analysis menu with scale reliability, principal-components analysis, and factor analysis (suggested by Bob Andersen).

    o Added Spearman rank-order and partial correlations to the Correlation Matrix dialog.

    o Added Standardize item to Data -> Manage variables menu.

    o Reorganized Data menu, adding "Data in packages" and  "Active data set" submenus, and items to get help on active data set and to list variables in it.

Version 0.8-3

    o Changed Compute dialog to use with(activeDataSet, expression) rather than to evaluate the expression in the global environment.

    o Added RcmdrPager function for non-Windows systems, a version of the tkpager modified slightly to use the Rcmdr monospaced font and a white background. This is for non-Windows systems.

    o Added Data -> Active data set -> Export active data set.

    o Reworked package initialization so as not to fail when a required package -- probably car -- is missing (thanks to Brian Ripley for help here).

    o Reworked options, mostly for better font support in non-Windows systems, but also to allow configurable size of log window, etc. Made default log window larger.

    o Added check box to the Commander window to enable/disable attaching of active data set.

    o Added flexibility to Data -> Import data -> From text file. Other small changes to Delete variables and Recode dialogs.

    o Added Statistics -> Summaries -> Active data set.

    o Cleaned up some dialogs -- for example, lm and glm dialogs have initial focus in the lhs field and tab directly to the rhs field.

    o Changes to all dialogs to ensure better behaviour, particularly in fast Windows XP systems: preventing scrollbars from sticking and dialogs from displaying completely (thanks to Peter Dalgaard and, especially, Marc Schwartz).

    o Re-executing lines from the log with assignment to a list (or data frame) element (e.g., data$x <- y) now works.

Version 0.8-4

    o Minor bug fixes and additional input-error checks (many suggested by Tony Christensen).

    o Documentation for Recode, Compute, linearModel, and generalizedLinearModel dialogs. More extensive documentation for the Commander.

    o Changes to list*() utility functions to ensure that all objects of a given class are found, and not masked by local variables or objects in the base package.

    o Many small changes to ensure that objects in the global environment are not masked by objects in the base package.

    o Added Graphs -> Line graph.

Version 0.9-0

    o More flexible customization. All config files are now in the etc subdirectory, including:

      - Rcmdr-menus.txt: defines the Rcmdr menus

      - log-exceptions.txt: a list of functions that are prevented from printing output when executed from the log window.

      - compareModels.demo: contains a demonstration of how to add a dialog to Rcmdr. Rename this file to compareModels.R and uncomment the corresponding menu-definition line in Rcmdr-menus.txt.

    o Some more functions in the package are exported to support writing extensions.

    o Made active-data-set and active-model "information fields" into buttons that can be used to select the active data set and model.

    o Added "Subset active data set", "Remove cases with missing data", and "Set case names" to Data -> Active data set menu.

    o Added many error checks for adequate variables in the active data set.

    o Ensured that focus returns to the proper window after an error.

    o Commands generated by View and Edit Data Set buttons now appear in the log and sessions windows.

    o As an option, bound double-left-mouse-click to default button in all dialogs.

    o Added more sophisticated interface for linearModel and generalizedLinearModel dialogs (suggested by Bob Stine).

    o Where appropriate, previous field-values are retained in linearModel and generalizedLinearModel dialogs (suggested by Sandy Weisberg). Models are numbered.

    o Generalized-linear models dialog now only shows appropriate links for the currently selected family.

    o Added "Data -> New data set" menu, which opens data editor with empty data frame.

    o Much improved stem-and-leaf display using stem.leaf function (courtesy of Peter Wolf).

    o Added "grab.focus" option to allow disabling focus grabs on systems where this causes problem.

    o Added "File -> Options" menu to set options and restart the Commander.

    o On exit, the Commander cleans up global variables used for program control (from correspondence with Kjetil Brinchmann Halvorsen).

    o Added distribution plots to the Distributions menu (suggested by Yan Wong).

    o Small interface changes and bug fixes.

Version 0.9-2

    o Added Hist function, a wrapper to hist permitting percentage as well as frequency and density scaling.

    o Added "Data -> Manage variables in active data set -> Rename variables" menu and dialog, mostly to get around crashes due to changing names in the data editor.

    o Improved formatting of percentage tables; now require abind package.

    o Added "Statistics -> Contingency Tables -> Enter and analyze two-way table" menu and dialog (suggested by Aniko Szabo).

    o Added "Graphs -> Index plot" menu and dialog.

    o Added "Graphs -> Quantile-comparison plot" menu and dialog (suggested by and improved by Martin Maechler).

    o Added "Models -> Effect plots" menu; now require effects package.

    o Added "Models -> Residual quantile-comparison plot" menu and dialog.

    o Added option to suppress edit button in the Commander window (to avoid crashes in Windows).

    o Fixed problem that arose (associated with internal use of <<-) when using a data set exported from a package with a namespace (e.g, MASS).

    o Added Edit menu with Cut, Copy, Paste, Delete, Find, and Select all (suggested by Brian Ripley).

    o Added a right-click "context" menu to the log/script window.

    o Small changes.

Version 0.9-3

    o Reorganized Models menu using sub-menus (Hypothesis tests, Numerical diagnostics, Graphs).

    o Added "Models -> Hypothesis tests -> Test linear hypothesis" menu and dialog.

    o Added "Models -> Hypothesis tests -> Compare models" menu and dialog.

    o Added Breusch-Pagan test, Durbin-Watson test, and RESET test to "Models -> Numerical diagnostics" menu; lmtest package now required.


Version 0.9-4

    o Cleaned up code in enterTable and testLinearHypothesis functions to eliminate use of global variables.

    o Added plotMeans function; "Graphs -> Plot of means" menu and dialog; option for pairwise comparisons to one-way ANOVA dialog; "Data -> Manage variables in active data set -> Define contrasts for a factor" menu and dialog; chi-square goodness-of-fit test to frequency distribution dialog -- all from suggestions by Murray Logan.

    o Now use the showData function in the relimp package to display data frames (thanks to David Firth).

    o Added commas as decimal points as an option to inport text files (as suggested by Philippe Grosjean).

    o Try to insure that the active data set stays in sync with the active model when data sets or models are changed (suggested by Philippe Grosjean).

    o Added "Graphs -> 3D scatterplot" menu and dialog and supporting scatter3d function; depends on mgcv and rgl packages, the latter available at <http://wsopuppenkiste.wiso.uni-goettingen.de/~dadler/rgl/>.

    o Added "Models -> Numerical diagnostics -> Bonferroni outlier test".

    o New sort.names Rcmdr option; if TRUE (now the default), names of variables are sorted alphabetically in variable lists.

    o Small changes to handling lines executed from the log.

    o Small bug fixes and interface improvements.

Version 0.9-5

    o Small bug fixes.

Version 0.9-6

    o Small changes to scatter3d; rgl and mgcv packages now required.

    o Calls to data() now quote package in package= argument, necessary for R 1.9.0 (thanks to Erich Neuwirth for pointing this out).

Version 0.9-7

    o Small bug fixes/improvements.

Version 0.9-8

    o Moved levene.test and influence.plot functions to the car package (as suggested by Henric Nilsson).

    o Removed dependencies on ctest and tcltk packages.

    o Added .csv and .CSV to list of text-file types (suggested by Adriano Azevedo-Filho).

    o Fixed bug in computation of error bars in plotMeans (reported by Andrea De Cesarei).

Version 0.9-9

    o  Major changes to the R Commander interface:

        - New default is for output to appear in an output window within the Commander window (suggested by Brian Ripley).

        - Toolbar, options, and option dialog rearranged to conform to the new scheme.

        - Log/script files now have .R extension (suggested by Philippe Grosjean); the output window can be saved to a file
          (by default with a .txt extension).

        - The Commander window is now resizable.

        - Individual commands entered into the log/script window can extend over more than one line (with additional lines indented).

    o  Added "Clear" item to Edit menu and context menus.

    o  Added setOutputWidth dialog and corresponding menu item.

    o  Various small changes for compatibility with the new interface.

    o  Changes to numerical model tests dialogs for compatibility with new lmtest package.

    o  Small bug fixes.

Version 0.9-10

    o  The Rcmdr dialog-generating functions were completely rewritten, using much more modularized code (as a result of gentle prodding by Martin Maechler). As a consequence, the R code for the package has been reduced by nearly 40 percent, from about 10,700 lines to about 6600 lines. See help("Rcmdr.Utilities") for the utilities supporting these changes.

    o  If there are missing required packages at startup, the Rcmdr now tries to install them.

    o  The Commander() now intercepts warnings and prints them in a message box.

    o  New function (bin.var) and dialog to bin a numeric variable (contributed by Dan Putler)

    o  Added "Save R workspace" and "Save R workspace as" to File menu (suggested by Dan Putler).

    o  Added "Save graph to file" submenu to File menu, with items "as bitmap", "as PDF/Postscript/EPS", and "3D RGL graph" (súggested by Dan Putler).

    o  Small bug fixes and interface enhancements.

Version 0.9-11

    o  Added LazyLoad: no to DESCRIPTION file to prevent lazy loading of functions in the package in R 2.0.0 (to prevent problems uncovered by Brian Ripley).

Version 0.9-12

    o  SciViews compatibility added, provided by Philippe Grosjean. This does not affect the "standard" use of the Rcmdr package and currently applies only to the Windows platform.

    o  Added Control-S to save log and output windows (suggested by Harald Weedon-Fekjaer).

    o  Small bug fixes.

    o  Changed default "grab.focus" option to FALSE for non-Windows systems.

    o  Added "report.X11.warnings" options, with default of FALSE, to suppress X11 protocol error warnings in (some?) Linux system. This is, I hope, a stop-gap measure until the source of the problem is discovered.

    o  Changes to printed output routing for compatibility with R 2.0.0.

    o  scatter3d() now returns model summaries (rather than prints them as side effects) when model.summary=TRUE (to fix a problem reported by Paul Johnson).

Version 0.9-13

    o  Added "from STATA data set..." to the "Import" menu; contributed by Michael Ash.

Version 0.9-14

    o  New facilities for incorporating additional classes of statistical models.

    o  Added support for multinomial logit models [via multinom() in nnet] and for proportional-odds logit models [via polr() in MASS].

Version 0.9-15

    o  Improvements to doItAndPrint(), justDoIt(), and checkWarnings() to handle wider range of output situations and to avoid intercepting errors and warnings when it is not desirable to do so (prompted by problems encountered by Bernhard Pfaff and suggestions by Brian Ripley).

    o  If the rgl package is absent, a message is printed in the console, but the Rcmdr can still be used.

    o  Added various cluster-analysis facilities, courtesy of Dan Putler.

    o  Small bug fixes.

Version 0.9-16

   o  Fixed a problem in the new output facility, where a test for S4 objects sometimes failed.

Version 0.9-17

   o  Changed the test for S4 objects (courtesy of John Chambers).

   o  The active model is no longer set to NULL when variables are simply added to, deleted from, or modified in the active data set (from a suggestion by Andy Jaworski).

   o  Data-set help now works with HTML help (after bug report from Dan Putler); other improvements to data-set help.

   o  New Rcmdr option, showData.threshold, to set maximum number of variables in the active data set beyond which showData() won't be used to display the data set.

   o  New "File -> Load package(s)" menu item (suggested by Rob Cribbie).

   o  Small changes and bug fixes.

Version 0.9-18

   o  Added "Models -> Confidence intervals" menu item, along with Confint, Confint.glm, confint.multinom, and confint.polr.

   o  Added preventDoubleClick argument to dialogSuffix() function so that modelling functions still work when the double.click option is set (to fix a problem discovered by Andy Jaworski).

   o  Changed handling of assignments for commands executed from the Rcmdr script window so that a wider variety of commands will be executed correctly (to deal with a problem discovered by Ralph Grundel). The "console" provided by the script window still isn't bullet-proof.

   o  New closeDialog() utility function.

   o  Changes to the structure of the menu-definition file to support conditionally activated menu items; new function activateMenus() to conditionally activate menu items. Several new exported "predicate" utilities [e.g., activeDataSetP()] to support activation of menus.

   o  Rcmdr windows no longer pop up at random positions on the screen, but on top of the Commander window.

   o  State information is now saved in a separate environment rather than in the global environment, using functions adapted (with permission) from Philippe Grosjean; new functions getRcmdr() and putRcmdr() to store and retrieve state information; several convenience functions [e.g., ActiveDataSet()] to set or retrieve frequently used state information.

   o  Messages (errors, warnings, and "notes") not requiring a response are now routed to a Messages window rather than to Tk message boxes.

   o  Output width now automatically adjusts to the current width of the Output window.

   o  The default is now *not* to attach the active data set.

   o  Some menu items moved from File to new Tools menu.

   o  Improved start-up (e.g., if non-essential packages are missing, rather than stopping, corresponding menu-items are inactivated).

   o  Small changes.
   
Version 1.0-0

   o  No feature changes.
   
   o  Change to svlogger (from Philippe Grosjean) to remove non-ascii characters (created problems with East Asian language version of R.)
   
   o  New introductory manual.
   
Version 1.0-1

   o  Small bug fixes.
   
Version 1.0-2

   o  Can use tclServiceMode() for crisper dialog display; introduced corresponding crisp.dialogs option.
   
   o  Re-introduced code to handle X11 warnings properly (see changes under Version 0.9-12). The Rcmdr option name is now suppress.X11.warnings, and is set to TRUE when .Platform$GUI == "X11".
   
   o  Small bug fixes.
   
Version 1.1-0

   o  Changes to support internationalization, using the new features of R 2.1.x. The following translations are provided with the package: Catalan (courtesy of Manel Salamero); French (courtesy of Philippe Grosjean); and Slovenian translation (courtesy of Jaro Lajovic).
   
   o  Added RcmdrTkmessageBox() to replace direct calls to tkmessageBox() so that button text gets translated on non-English Windows systems.
   
   o  Changes to the way packages are handled at startup, including a new Rcmdr option, use.rgl, which if FALSE suppresses the loading of the rgl package even if it is present in an acessible library; this addresses crashes sometimes caused by rgl when R is run under X11. As well, with the exception of the car package, packages are loaded only when they needed. There is also a new option, packages.to.load (defaulting to "car"), which lists the packages to be loaded at startup. See ?Commander for details.  
   
Version 1.1-1

   o  SciViews compatibility re-established (thanks to Philippe Grosjean). 
   
   o  Made scatter3d() compatible with version 0.65 of rgl, and added interactive point-identification for 3D plots, via new function identify3d().
   
   o  Added a Japanese translation, courtesy of Takaharu Araki.
   
Version 1.1-2

   o  Small fixes of typos in messages and correspondingly in R-Rcmdr.pot file (and .po files).
   
   o  Cleaned up packages "suggested" by the Rcmdr to remove dependencies of suggested packages.
   
   o  Added Romanian translation, contributed by Adrian Dusa.
   
   o  Added Russian translation, contributed by Alexey Shipunov.
   
Version 1.1-3

   o  Fixed bug that caused namespace-load failure in a non-English Windows locale when some of Rcmdr dependencies are missing.
   
   o  Added Italian and Brazilian Portuguese translations (courtesy, respectively, of Stefano Calza and Adriano Azevedo Filho).
   
Version 1.1-4

   o  Fixed version number!
   
Version 1.1-5

   o  Updated French translation (thanks again to Philippe Grosjean).
   
   o  Compiled Italian translation (from Stefano Calza), which was inadvertently not done in the previous version.
   
   o  Some additional utility functions are now exported from the Rcmdr namespace.
   
Version 1.1-6

   o  Nonstandard variable names are changed to valid names, and a warning is printed, when the data frame is made the active data set (suggested by Richard Heiberger).
   
   o  The global variable .commander.done is only written if the Rcmdr tkwait option is set to TRUE (to address problem reported by Dan Putler in OS/X).
   
   o  Added Rcmdr-package.Rd file. 
   
Version 1.1-7

   o  Added a Spanish traslation, thanks to Jose Castano and Carlos Carleos.

   o  Changed variable "version" in the RcmdrEnv to "RcmdrVersion" to avoid shadowing "version" in the base package (suggested by Richard Heiberger).
   
   o  Small bug fixes.
   
Version 1.1-8

   o  Small bug fixes.
   
   o  Updated Spanish translation (courtesy of Jose Castano and Carlos Carleos)
   
Version 1.2-0

   o  Added ability to import from Excel, Access or dBase files (contributed by Samir Messad, Renaud Lancelot and Matthieu Lesnoff).
   
   o  Added many probability distributions, courtesy of Miroslav Ristic and G. Jay Kerns, Andy Chang, and Theophilius Boye.
   
   o  Added dialogs to sample from probability distributions; divided distributions menus into Continuous and Discrete.
   
   o  Added totPercents function. Added total percentages and components of chi-square to two-way tables (suggested by Richard Heiberger).
   
   o  XY conditioning plots dialog added, courtesy of Richard Heiberger.
   
   o  Added "Statistics -> Summaries -> Count missing observations".
   
   o  Added "Statistics -> Summaries -> Correlation test", contributed by Stefano Calza.
   
   o  Added "Data -> Active data set -> Stack variables in active data set" (suggested by Richard Heiberger).
   
   o  The numerical summaries, table of statistics, frequency distributions, numeric to factor, and recode dialogs will now process multiple variables in parallel (suggested by Bo Sommerlund).
   
   o  Added function numSummaries for neater output from "Statistics -> Summaries -> Numerical summaries" (motivated by comments from Bo Sommerlund).
   
   o  Small interface improvements (e.g., pressing letter key in a list box moves to next entry starting with that letter).
   
   o  Cleaned up links to help files in standard packages.
   
   o  Enhancements to 3D scatterplots.
   
   o  Added ability to read data from the clipboard (suggested by Graham Smith).
   
   o  New Rcmdr options (etc and etcMenus) determine where the Commander will look for its configuration and menu files (motivated by a suggestion by Richard Heiberger).
   
   o  Other small changes.
   
   o  Updated R-Rcmdr.pot file for translators.
   
   o  Updated Catalan (Manel Salamero) and Japanese (Takaharu Araki) translations
   
Version 1.2-1

   o  Updated R Commander manual.
   
   o  Updated Romanian (Adrian Dusa) translation.
   
   o  "Data -> Import data -> from Excel, Access, or dBase data set" is inactivated on non-Windows systems (since the necessary ODBC drivers are not available -- pointed out by Brian Ripley).
   
   o  Fixed a bug (reported by Tom La Bone) in the handling of hist() when a command using this function is typed into the Script window.
   
   o  Suppressing X11 warnings is no longer necessary under R 2.4.0; the default value of the option suppress.X11.warnings is changed accordingly (suggested by Brian Ripley).
   
   o  File connections used rather than text connections for processing output and messages (suggested by Brian Ripley).
   
   o  Added a field to the Rcmdr-menus.txt file to determine whether a menu item or menu is installed. This is the last (7th) field in each line of the file, and contains a quoted command that suppresses installation if it evaluates to FALSE; an empty (i.e., "") installation field causes the menu item or menu to be installed unconditionally.
   
   o  rgl added once again to "suggested" packages in the DESCRIPTION file.
   
Version 1.2-2

   o  Updated Russian translation, courtesy of Alexey Shipunov.
   
   o  Updated Brazilian Portuguese translation, courtesy of Adriano Azevedo Filho.
   
   o  Test for S4 objects uses isS4() if R version >= 2.4.0.
   
   o  Old-style Rcmdr-menus.txt files (with six fields) will be accepted as well as the new-style files (with a seventh, acitivation, field).
   
   o  Small changes to docs.
   
Version 1.2-3

   o  Added Indonesian translation, contributed by I Made Tirta.
   
   o  The Rcmdr will no longer prompt for missing packages at start-up when interactive() is FALSE (suggested by Kurt Hornik).
   
Version 1.2-4

   o  Updated Italian translation (contributed by Stefano Calza).
   
   o  Small change to start-up -- test for interactive() moved to top of .onLoad().
   
Version 1.2-5

   o  Corrections to Indonesian translation (by I Made Tirta).
   
   o  Changed command to produce influence plots from influence.plot() to influencePlot(), in conformity with change in the car package. The GUI function, called from the menu, is changed from influencePlot() to InfluencePlot().
   
   o  Changed command to produce pairwise comparisons in one-way ANOVA to conform to new multcomp package.
   
Version 1.2-6

   o  New German translation, kindly provide by Gerhard Schön.
   
Version 1.2-7

   o  The linePlot() function failed when the x-variable is a "Date" variable (bug reported by Richard Heiberger).
   
   o  Small changes.
   
Version 1.2-8

   o  Small changes to docs.
   
   o  Change to the way that doItAndPrint() processes output, to avoid an error in R 2.5.0 with 0-length output, as produced, e.g., by printing a trellis graph (problem reported by Richard Heiberger).
   
Version 1.2-9

   o  Correction to version information.
   
Version 1.3-0

   o  New facility for Rcmdr plug-in packages to extend the Rcmdr menus. (The design reflects suggestions from Richard Heiberger.)
   
   o  New Rcmdr option "suppress.menus" to suppress the Commander menu bar and tool bar, so that another program (e.g., Excel) can take over these functions (suggested by Erich Neuwirth).
   
   o  Use View() rather than edit() where applicable.
   
   o  New menu item and dialog box for resetting the colour palette (suggested by Richard Heiberger).
   
   o  Added menu items to save and load R data sets (as .rda files) (suggested by Neville Calleja).
   
   o  Added menu and dialog box for Shapiro-Wilk test of normality (suggested by Noel Yvonnick).
   
   o  "Ordinal Regression Model" menu item and dialog replaces "Proportional-Odds Model", permitting ordered probit as well as order logit models, as accommodated by polr() (suggested by Bob Andersen).
   
   o  Improvements to the scatterplot dialog (suggested by several people).
   
   o  Some more functions exported.
   
   o  Small changes.
   
Version 1.3-1

   o  Small changes and fixes.

   o  Corrected an error in the R-Rcmdr.pot messages file (for translators).
   
   o  Updated translations: German (courtesy of Gerhard Schoen), Indonesian (I Made Tirta), Japanese (Takaharu Araki), Romanian (Adrian Dusa), Russian (Alexey Shipunov).
   
Version 1.3-2

   o  Accidentally substituted German .mo file for Spanish .mo file -- fixed (reported by Osvaldo Arce). (The Spanish translation has not been updated.)
   
Version 1.3-3

   o  Updated translations: French (courtesy of Philippe Grosjean), Slovenian (Jaro Lajovic).
   
   o  Added Excel support and corresponding RExcelSupport Rcmdr option (courtesy of Erich Neuwirth).
   
   o  Small changes and fixes.
   
Version 1.3-4

   o  Updated Italian translation and fix to Italian translation (courtesy of Stefano Calza).
   
Version 1.3-5
   
   o  Updated Japanese translation (courtesy of Takaharu Araki); Brazilian Portuguese translation (Adriano Azevedo-Filho); and Spanish translation (Manuel Munoz-Marquez).
   
   o  The Rcmdr now tries to coerce non-data-frames to data frames when the user tries to make such as object the active data set (as, e.g., reading a non-data-frame data object from a package).
   
   o  Updated RExcel support (contributed by Erich Neuwirth).
   
   o  Better behaviour when the user deletes the active data set or active model (suggested by Richard Heiberger and Erich Neuwirth, some code by Erich Neuwirth).
   
   o  Fixed bug in logger() (command logger) to handle correctly commands with line-feeds (following bug report and patch by Richard Heiberger).
   
   o  Small fixes.
   
Version 1.3-6

   o  Greatly improved speed of detection of plug-in packages (implementing a suggestion by Brian Ripley).
   
   o  New Rcmdr ask.on.exit option, can suppress queries to save script and output files (suggested by Liviu Andronic).
   
   o  Fixed bug in options dialog that incorrectly set default font size of non-Windows systems to 10 rather than 12 (reported by Adrian Dusa).
   
   o  Fixed bug in handling of menus for plug-in packages when a plug-in defined a submenu of one of its own top-level menus (reported by Charilaos Skiadas).
   
   o  The log-exceptions.txt file is no longer needed (or used), and the Log-Exceptions: field of the DESCRIPTION files for plug-in packages is ignored. The Rcmdr now checks for invisible output (motivated by an issue reported by Adrian Dusa).
   
   o  Small changes.
   
Version 1.3-8

   o  Fixed problem (introduced with R 1.6-0) that caused the string "[factor]" not to be translated into other languages in model-formula dialogs (reported by Eric Pagot).
   
Version 1.3-9

   o  Fixed bug that caused "Distributions -> Continuous distributions -> Uniform distribution -> Uniform probabilities" to fail (reported, with patch, by  Manuel Munoz Marquez).
   
   o  Fixed bug in Commander() (introduced in version 1.3-7) that caused commands with comments in them to fail.

   o  Small changes.
   
Version 1.3-10

   o  Added check for interactive() to .onAttach(), starting Commander() only if TRUE (suggested by Brian Ripley).
   
Version 1.3-11

   o  Speed-up in various places by replacing eval(parse()) with get() where appropriate (suggested by Richard Heiberger).
   
   o  Fixes to parsing of commands in the script window (following bug report by Jérémy Mazet; thanks to Duncan Murdoch and Richard Heiberger for help).
   
   o  Changed layout of scatterplot dialog (after a suggestion by John Maindonald).
   
Version 1.3-12

   o  The Rcmdr now maintains a stack of the last several output objects. These may be retrieved via popOutput(). The length of the stack is controlled by the Rcmdr option "lengthOutputStack", which defaults to 10. (To satisfy a request from Liviu Andronic to be able to manipulate Rcmdr output.)
   
   o  The number of variables visible in variable-list boxes in Rcmdr dialogs is now controlled by the Rcmdr option "variable.list.height", which defaults to 4. (After a suggestion by Liviu Andronic.)
   
Version 1.3-13

   o  If it is available, the Rcmdr will use the new "themed" widget set available in Tk 8.5 (at the suggestion and with the help of Brian Ripley).
   
   o  Small changes for R-Excel (from Erich Neuwirth).
   
   o  The name modelsMenu under statisticsMenu in the Rcmdr-menus.txt file is changed to statModelsMenu to differentiate it from the top-level modelsMenu (at the suggestion of Erich Neuwirth); eventually, names of menus and items will be required to be unique.
   
Version 1.3-14

   o  Fixed bug in handling of new widgets for R < 1.3.0 and Tcl >= 8.5 (reported by David Herring).
   
Version 1.3-15

   o  New mechanism for accommodating translations of Getting-Started-with-the-Rcmdr.pdf and of Commander.Rd (requested by Manuel Munoz Marquez). See the comments under Rcmdr version 1.3-15 in the R-Rcmdr.pot messages file.
   
   o  Spanish translations of Getting-Started-with-the-Rcmdr.pdf and Commander.Rd.
   
   o  New Spanish translation file (courtesy of the Spanish R-UCA Project).
   
Version 1.4-0

   o  New "remove" directive for Rcmdr plug-in menu files permits removal of menus and menu items.
   
   o  Anova tables now allow choice of "types" I, II, or III tests (suggested by several people, and against my better judgment!).
   
   o  Bug fix: The numerical summaries dialog was ignorning user-entered quantiles (reported by Michael Hallquist).

   o  Duplicate menu names (most likely from a plug-in package) are now an error (requested by Erich Neuwirth).
   
   o  Added dialog box for "strip charts" (suggested by Didrik Vanhoenacker).
   
   o  Added "remove rows" dialog box (suggested by Liviu Andronic).
   
   o  Bug fix: The Options dialog wiped out previously set Rcmdr options not included in the dialog (reported by John Maindonald and Richard Heiberger).   
   
   o  Added AIC and BIC to Models menu (suggested by Jukka Corander).
   
   o  The Rcmdr "contrasts" option was renamed to "default.contrasts" (after a suggestion by Richard Heiberger).
   
   o  New "File -> Change working directory..." menu item (suggested by Jose Maria Polo).
   
   o  Scatterplot dialog now has options for log axes (suggested by John Maindonald).
   
   o  "Data -> Import data -> from text file etc." now can read from a URL (suggested by Frank Harrell).
   
   o  "Data -> Import data -> from Excel etc." now handles Excel 2007 and Access 2007 file formats.
   
   o  Added Friedman rank-sum test (suggested by Adrian Olszewski).
   
   o  Ctrl-x,c,v now work for cut, copy, and paste on all platforms in script and output windows; Ctrl-z is now undo key and Ctrl-w the redo key; Undo and Redo items added to the Edit and right-click context menus (various requests).
   
   o  New version of XYplot dialog (contributed by Richard Heiberger, originally in RcmdrPlugin.HH package.).
   
   o  Updated Italian and Russian translations (thanks, respectively, to Stefano Calza and Alexey Shipunov).

   o  Small fixes and changes.
   
Version 1.4-1

   o  The following updated translations have been added: Catalan (thanks to Manel Salamero), French (thanks to Philippe Grojean), Japanese (thanks to Takaharu Araki), Romanian (thanks to Adrian Dusa), and Slovenian (thanks to Jaro.Lajovic).
   
Version 1.4-2

   o  For cases where translated help files of the form Commander-xx.Rd won't compile (where "xx" is the language code), translators can now provide a PDF file named Commander-xx.pdf to be substituted when users select Menu -> Commander help. (Thanks to Alexey Shipunov for helping me with this problem.)
   
   o  Dialogs that reset the active data set no longer do so if an error occurs; previously, resetting the active data set caused error messages to scroll off out of sight in the Messages window (problem reported by Peter Dalgaard).
   
   o  Improved error checking and protection in distributions dialogs.
   
Version 1.4-3

   o  Fixed a bug in the scroll-bar for the RHS of model formulas (reported by Ulrich Halekoh).
   
   o  Fixed problem with some legends in plotMeans() (reported by Rich Heiberger).
   
   o  Updated Spanish translation (courtesy Rcmdr Spanish translation team).
   
Version 1.4-4
   
   o  Small changes to Hist() to make it more flexible (suggested by Gilles Marcou).
   
Version 1.4-5

   o  Change to Message(), which posts messages to the Message window, to prevent the window from freezing in (some) Windows systems under R 2.8.0 (problem reported by Rich Heiberger).
   
   o  Updated Indonesian translation (thanks to I. Made Tirta).
   
Version 1.4-6

   o  Added polr and multinom models to effect-plots, consistent with latest version of effects package.
   
   o  ttkentry() redefined to trim leading and trailing blanks (to avoid potential problems when user introduces a leading or trailing blank in a text field, as reported by Rich Heiberger).
   
   o  An attempt is made to break commands at blanks and commas to fit them in the script and output windows.
   
   o  Improvements to the one-way and multi-way ANOVA dialogs, including saving the models that are produced (suggested by Rich Heiberger).
   
   o  Improvements and bug fixes to handling of plug-in menu installation.
   
   o  New function MacOSXP() to test for Mac OS X; used to suppress "Data -> New data set" menu, since the Mac data editor causes R to hang when called with an empty data frame (reported by Rob Goedman and Tracy Lightcap).
   
   o  When character values are entered in the data editor after "Data -> New data set", the corresponding variable is converted to a factor.
   
   o  When console.output is TRUE, messages as well as output now go to the R Console and the Commander Messages window (as well as the Output window) is suppressed (with code contributed by Richard Heiberger).
   
   o  Small changes.
   
Version 1.4-7
  
   o  Improved Brazilian Portuguese translation, contributed by Adriano Azevedo-Filho and Marilia Sa Carvalho.
   
   o  Added function sortVarNames(), which sorts variable names including numerals into a more "natural" order than does sort(); used in variable lists when the Rcmdr option "sort.names" is TRUE, which is the default.
   
   o  Small changes.
   
Version 1.4-8

   o  Export data set now allows an arbitrary field separator (suggested by Marilia Sa Carvalho).
   
   o  Menus can now use translation files supplied by plug-ins.
   
   o  Path names with apostrophes should no longer produce an "unbalanced parentheses" error.
   
   o  Added files for Debian Linux (from Pietro Battiston and Dirk Eddelbuettel).
	
   o  Small changes.
   
Version 1.4-9

   o  Upated Russian translation (courtesy of Alexey Shipunov).
   
   o  Fixed bug in BreuschPaganTest() that prevented dialog from functioning (reported by Michel Pouchain).
   
Version 1.4-10

   o  Corrected problem in paste in Command window in non-Windows systems (reported by Liviu Andronic).
   
   o  Fixed handling of X11 warnings which was disrupted by showData(), and added check for "Warning in structure" (problems reported by Liviu Andronic).
   
   o  Prefixes used when output is directed to the R console are no longer hard-coded, but can be set by the "prefixes" Rcmdr option (to satisfy a request by Liviu Andronic).

Version 1.4-11

   o  Correction to .mo file for Brazilian Portuguese translation (supplied by Adriano Azevedo-Filho following report by Donald Pianto).
   
   o  Added summary() output to principal components (suggested by Liviu Andronic).
   
Version 1.5-0

   o  Added model-selection dialogs, stepwise and subset (several requests).
   
   o  Modifications to model-definition dialogs (suggested by Ulrike Gromping): If you select several variables in the variable-list box, clicking on the
+, *, or : button will enter them into the model formula.
   
   o  The compare-models and Anova-table code for GLMs now uses F-tests when the dispersion parameter is estimated (after a suggstion by Ulrich Halekoh).
   
   o  Added optional pairwise p-values to correlations dialog (several requests); new rcorr.adjust() function, adapted from code sent by Robert A. Muenchen.
   
   o  New Library() command for loading packages. Packages generally attached in position 4, to avoid masking objects in Rcmdr and car.
   
   o  Messages in the Messages window are now numbered, according to the Rcmdr number.messages option (suggested by Liviu Andronic).
   
   o  Added dialog box to merge rows and columns, along with mergeRows() function (after a suggestion by Stephen Shamblen).
   
   o  Added aggregate dialog box to aggregate variables by factor(s) (after a suggestion by Stephen Shamblen).
   
   o  Added variable.list.width option (suggested by Liviu Andronic).
   
   o  Under Windows, a check is made for the mdi and a warning message printed, if it's detected (courtesy of code from Uwe Ligges).
   
   o  Updated Commander.Rd.
   
   o  Small changes.
   
Version 1.5-1

   o  Fixes to links in docs (pointed out by Brian Ripley).
   
Version 1.5-2

   o  Updated Spanish translation (courtesy of Manuel Munoz Marquez).
   
   o  Updated Russian translation (courtesy of Alexey Shipunov).
   
   o  Fixed bug in pie chart dialog causing the colorspace package not to load properly (reported by Massimiliano Amati).

Version 1.5-3

   o  Updated Japanese translation (courtesy of Takaharu Araki).
   
   o  Updated French translation (courtesy of Philippe Grosjean).
   
   o  Updated Romanian translation (courtesy of Adrian Dusa).

   o  Updated Indonesian translation (coutersy of I Made Tirta).
   
   o  Small changes.
   
Version 1.5-4

   o  rcorr.adjust() now returns an object of class "rcorr.adjust" (to satisfy a request by Liviu Andronic).
   
   o  Confint() modified to include coefficient estimates, and to include exponentiated coefficients for binomial logit models (suggested by  Ricardo Ocana-Riola). Small fix to method for multinom models.
   
   o  Added cld() display to pairwise comparisons in one-way ANOVA (suggested by Marcin Kozak).
   
   o  Added options to radioButtons() (based on code contributed by Liviu Andronic).
   
   o  Small fixes to code and docs.
   
 Version 1.5-5
 
   o  Added a command stack accessed by popCommand() of length controlled by the length.command.stack option (suggested by Liviu Andronic).
   
   o  Added \code{ask.to.exit} option (suggested by Liviu Andronic).
   
   o  Removed Rcmdr.sh from inst/etc/linux and modified Rcmdr.desktop (according to Dirk Eddelbuettel's instructions).
   
   o  Fixed bug in QQPlot() that surfaced in R. 2.11.0 (reported by Howard Edwards). 
   
   o  rgl package no longer unloaded when the Commander is closed.
   
Version 1.5-6

   o  New Italian translation (courtesy of Stefano Calza).
   
Version 1.6-0

   o  Made compatible with car version 2.0-0.
   
   o  Messages window is now sizeable (via messages.height Rcmdr option) and editable (suggested by Rob James).
   
   o  Small interface improvements.
   
   o  Small fixes.
   
Version 1.6-1

   o  Datasets with invalid names reported by packages no longer listed in "Data > Data in Packages > Select data set from an attached package" dialog (problem reported by Gabor Grothendieck).
   
   o  Fixed bug in changing contrasts option in "Tools > Options" dialog (reported by Kristian Hovde Liland).
   
   o  Updated French, Japanese, Romanian, Russian, and Spanish translations (thanks to Philippe Grosjean, Takaharu Araki, Adrian Dusa, Alexey Shipunov, and Manuel Munoz Marquez).
   
Version 1.6-2

   o  Updated Brazilian Portuguese and Italian translations (thanks to Adriano Azevedo-Filho and Stefano Calza).
   
   o  Fixed bug in read data set from package dialog (reported by Erich Neuwirth).
   
Version 1.6-3

   o  Modified plotMeans to allow arguments to be passed through to plot (following question by Marylin Bejarano).
   
   o  Added output of pairwise tests to one-way ANOVA (suggested by Bruce McCulllough).
   
   o  Fixed bug in model-formula scrollbar for models with no left-hand-side.
   
Version 1.6-4

   o Improvements to probability distribution dialogs (contributed by Miroslav Ristic).
   
   o Control-left-mouse-button now brings up context edit menu, for use with one-button mice (after a question by Erich Neuwirth). 
   
   o Corrected order of file extensions in file dialogs.
   
   o The new BIC() function in R 2.13.0 is used in preference to AIC() to compute the BIC. nobs() is no longer needed, and is removed so as not to conflict with nobs() in R 2.13.0.

Version 1.6-5

   o Modified data set edit so that character variables are converted to factors, as for a new data set (responding to problem reported by Konrad Halupka).
   
   o Added Chinese translation (contributed by Frank C. S. Liu and Cheng-shun Lee).
   
   o Startup sequence now offers to install missing packages but without dependencies=TRUE in call to install.packages().
   
Version 1.7-0

   o Added "dialog-memory" mechanism.
   
   o Added cv, skewness, and kurtosis to numerical summaries dialog (suggestion of Manuel Munoz Marquez).
   
   o Correlation-matrix dialog now supports pairwise-complete and well as complete cases (suggestion of Bob Muenchen).
   
   o Small changes.
   
Version 1.7-1

   o Implemented dialog memory for many dialogs.

   o Menus for plug-ins now subject to translation (as suggested by Milan Bouchet-Valat).
   
   o Improved window behaviour with patches supplied by Milan Bouchet-Valat.
   
   o New Korean translation (thanks to Chel Hee Lee).
   
   o Changes for R 2.14.0
   
   o Small changes.
   
Version 1.7-2

   o For version synchronization with CRAN.
   
Version 1.7-3

   o Fixed bug in numSummary() due to change in R 2.14.0 (reported by Garrett DaBell).
   
Version 1.7-4

   o More dialogs use dialog-memory mechanism (edits with assistance of Kosar Karimi Pour).
   
   o Fixed another bug in numSummary() due to change in R 2.14.0 (also reported by Garrett DaBell).
   
   o Updated Japanese translation and getting-started document (courtesy of Takaharu Araki).
   

   
